body {
    font-family: Arial, sans-serif;
    background: #0a0a0a;
    color: #fff;
    margin: 0;
}

/* CONTAINER */
.container {
    max-width: 500px;
    margin: auto;
    padding: 20px;
}

/* STEPS */
.step {
    display: none;
}

.active {
    display: block;
}

/* HEADINGS */
h1 {
    text-align: center;
    color: #ffd400;
    margin-bottom: 10px;
}

p {
    text-align: center;
    color: #bbb;
    line-height: 1.5;
}

/* INPUTS */
label {
    font-size: 14px;
    color: #ffd400;
}

input {
    width: 100%;
    padding: 12px;
    margin: 8px 0 12px;
    border-radius: 8px;
    border: none;
    background: #1a1a1a;
    color: white;
}

/* BUTTON */
button {
    width: 100%;
    padding: 15px;
    background: #ffd400;
    color: black;
    border: none;
    border-radius: 12px;
    font-size: 16px;
    font-weight: bold;
    margin-top: 15px;
    cursor: pointer;
}

/* CHECKBOX DESIGN */
.checkbox {
    margin-top: 20px;
}

.checkbox label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #141414;
    padding: 14px;
    border-radius: 10px;
    margin-bottom: 10px;
    cursor: pointer;
}

.checkbox-left {
    display: flex;
    align-items: center;
    gap: 10px;
}

.checkbox input {
    width: 18px;
    height: 18px;
}

/* DELIVERY BOX */
.highlight-box {
    background: #ffd400;
    color: black;
    padding: 15px;
    border-radius: 12px;
    text-align: center;
    font-weight: bold;
    margin-bottom: 15px;
    font-size: 15px;
}

/* PRICE */
.price {
    text-align: center;
    margin-bottom: 20px;
    font-size: 18px;
}

/* PROGRESS BAR */
.progress-wrapper {
    margin-bottom: 20px;
}

.progress-bar {
    display: flex;
    justify-content: space-between;
    position: relative;
}

.progress-bar::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 4px;
    background: #333;
    transform: translateY(-50%);
}

.progress-fill {
    position: absolute;
    top: 50%;
    left: 0;
    height: 4px;
    background: #ffd400;
    transform: translateY(-50%);
    width: 0%;
    transition: 0.3s;
}

.progress-step {
    width: 22px;
    height: 22px;
    background: #333;
    border-radius: 50%;
    z-index: 2;
}

.progress-step.active {
    background: #ffd400;
}

/* FOOTER */
.footer {
    text-align: center;
    margin-top: 30px;
    font-size: 12px;
    color: #777;
}

/* LOGO */
.logo {
    display: block;
    margin: 20px auto 0;
    width: 150px;
    opacity: 0.9;
}